# Payment Request with WeChat Pay

## :white\_check\_mark: API Request Parameter&#x73;**(HTTP-Request-Body )**

|  Params Name |          Description         | Required |          Notes         |
| :----------: | :--------------------------: | :------: | :--------------------: |
|    action    | Action name (Constant Value) |     Y    |     "**ACTIVEPAY**"    |
|    version   |        Version number        |     Y    |          "1.0"         |
| merchant\_id |          Merchant ID         |     Y    |   Provided by OTT Pay  |
|     data     |  Encrypted Transaction Data  |     Y    | See "Data" table below |
|      md5     |        Message Digest        |     Y    |                        |

:ballot\_box\_with\_check: **Request Example(JSON Data):**

```php
{
    "action":"ACTIVEPAY",
    "version":"1.0",
    "merchant_id":"QC00005496",
    "data": "zTadPG0YM4gD1WOFqxg7wn3vmU20NjCnCUOOnE9mTTkxYraQDflljA8W3azYG9MuOvOyl3cZhafH+io6PiWdZCwRmi3HGa19BvT215IIxRy2HvYe0Sqs2lxshm9E4y5F1gJ7HHMTqpY0wIA4DsuWA97UC55adB2G86VbanI7B5a3kErApr5mbAoE7wcNbDJfGh4CBbSoRxQyiGZ48SvYuIW/sclT4yu6okjo6CY3xL4=",
    "md5":"6AFB2E94A70D9A208F101723700EB287"
}
```

#### :ballot\_box\_with\_check: Dat&#x61;**(JSON Data, to be encrypted):**

|   Params Name   |     Description    | Required |                                      Notes                                     |
| :-------------: | :----------------: | :------: | :----------------------------------------------------------------------------: |
|    order\_id    |      Order ID      |     N    | OrderID could be generated by client's code, or generated by OTTPay as default |
|   operator\_id  |     Operator ID    |     Y    |                         Operator ID provided by OTTPay                         |
|      amount     | Transaction Amount |     Y    |                         String, "100" for 1.00 dollar.                         |
|       Tip       |         Tip        |     N    |                         String, "100" for 1.00 dollar.                         |
|    biz\_type    |   Message Digest   |     Y    |                                 "**WECHATPAY**"                                |
| call\_back\_url |    Call back URL   |     Y    |                                                                                |

:ballot\_box\_with\_check: **Data Example(JSON Data):**

```
{
  "amount":"1",
  "biz_type":"WECHATAY",
  "operator_id":"0000020156",
  "order_id":"2020041468976O124O000857",
  "call_back_url":"https://ezshops.ott.ca/WechatQrOTTPAY_callback.php"
}
```

## :white\_check\_mark: API Response Parameter&#x73;**(HTTP-Response-Body)**

| Params Name |    Description   | Required |          Notes         |
| :---------: | :--------------: | :------: | :--------------------: |
|  rsp\_code  |   Response code  |     Y    |   refer to Appendix B  |
|   rsp\_msg  | Response message |     Y    |                        |
|     data    |  Encrypted Data  |     Y    | See "Data" table below |
|     md5     |  Message Digest  |     Y    |                        |

:ballot\_box\_with\_check: **Response Example(JSON Data):**

```
{
"rsp_code":"SUCCESS",
"rsp_msg":"success",
"data":"41kiLvjVBO8AW4wTOthI92OQu+8fwac5cIDx0DoZpitLvSJU8WKQbk5Bii5ZYrgLz4hepQ865QZFWqj2PRZ1FjxxipxEy2KoOKchWK09e42Se3CMAxt/+8UGrnAHDJLbU/BBlZLJoLpruSNKBeVfwhI7TtGdP4ciwzKPmv5aS2DWoU4Jl26IAPa8PeGhPNLuT99HwBGXa7aUz5adYk3uAR5Ww9HkBlPrqzJlUQ4zdMgjxaM2bROldcKTK8NxPM7X",
"md5":"32310A0DD3D021A7D0CDF6A5909A1A61"
}
```

#### :ballot\_box\_with\_check: Transaction Data(JSON format, After decrypted)

|    Params Name    |       Description      |            Required            |                                Notes                               |
| :---------------: | :--------------------: | :----------------------------: | :----------------------------------------------------------------: |
| bizpay\_order\_id | order id from Acquirer |                Y               | Returned by the Payment Service Provider (e.g. WeChat Pay, Alipay) |
|    QR code URL    |            Y           | For generating payment QR Code |                                                                    |
|     order\_id     |        Order ID        |                Y               |                                                                    |

:ballot\_box\_with\_check: **Data Example(JSON Data, after decrypted):**

```
{
 "bizpay_order_id":"WX8436538037893612",
 "code_url":"weixin://wxpay/bizpayurl?pr=8QQeScQhz",
 "order_id":"2020041468976O124O000857"
}
```

## :white\_check\_mark: API Call Back (**HTTP-POST**)

{% hint style="info" %}
Once API server finished the request process, it will send back process status to specified URL which been set up as field of '**call\_back\_url**' within above API request parameters.
{% endhint %}

### :ballot\_box\_with\_check:Message Payload Parameters Level **(HTTP-Response-Body)**

|  Params Name |         Description        | Required |          Notes         |
| :----------: | :------------------------: | :------: | :--------------------: |
|   rsp\_code  |        Response code       |     Y    |   refer to Appendix B  |
|   rsp\_msg   |      Response message      |     Y    |                        |
| merchant\_id |         Merchant ID        |     Y    |                        |
|     data     | Encrypted Transaction Data |     Y    | See "Data" table below |
|      md5     |       Message Digest       |     Y    |                        |

:ballot\_box\_with\_check: **Call-Back Message Example(JSON Data):**

```
 {
  "data":"hy0yiXxPH4TDXeY5ET7gqIsUcgY5ykO1vQYOahS5SsbN7/5Ha7+hvcXhgY1hz9kHuf5OxqNfv28kVeiYACrLzngk+hA2o8dVAcifT6h3AquN5micrIi3L9owj6cHT1nJRExC74sNUqF8CDY5fb4jLh9it9tq7r8xFOpcpf19VNWceo/Jt1nHca6HPMvMUEDeX1aUjnxOs7R7B2TUQbAENg\u003d\u003d",
  "rsp_code":"SUCCESS",
  "rsp_msg":"success",
  "merchant_id":"QC00005496",
  "md5":"F70CA0472D1AAA596E720C19A1DD36A0"
 }

```

#### :ballot\_box\_with\_check: Transaction Data (JSON format, after decrypted)

|    Params Name    |       Description      | Required |                   Notes                  |
| :---------------: | :--------------------: | :------: | :--------------------------------------: |
|    finish\_time   |      Payment time      |     Y    |       YYYYMMDDHHMMSS (Beijing time)      |
|     order\_id     |        Order ID        |     Y    |                                          |
|       amount      |   Transaction amount   |     Y    |      String, "100" for 1.00 dollar.      |
|        tip        |       tip amount       |     N    |      String, "100" for 1.00 dollar.      |
| bizpay\_order\_id | order id from Acquirer |     Y    | Returned by the Payment Service Provider |
|    merchant\_id   |       Merchant ID      |     Y    |            Provided by OTT Pay           |

:ballot\_box\_with\_check: **Data Example(JSON Data, after decrypted):**

```
{
 "amount":"1",
 "bizpay_order_id":"WX781266859681754",
 "tip":"0",
 "merchant_id":"QC00005496",
 "order_id":"2020041553699O153O0407",
 "finish_time":"20200416050429"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ottpay.com/payment-api/pc-api/payment-request-with-union-pay-secure-pay.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
